Package org.apache.activemq.artemis.journal

## Class ActiveMQJournalLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.journal.ActiveMQJournalLogger_$logger

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJournalLogger`, `org.jboss.logging.BasicLogger`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2022-06-07T12:46:46-0400")
      public class ActiveMQJournalLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJournalLogger, org.jboss.logging.BasicLogger, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.journal.ActiveMQJournalLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQJournalLogger_$logger​(org.jboss.logging.Logger log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `callbackError​(java.lang.String error)` |
    `protected java.lang.String` | `callbackError$str()` |
    `void` | `cantOpenFileTimeout​(long timeout)` |
    `protected java.lang.String` | `cantOpenFileTimeout$str()` |
    `void` | `checkFiles()` |
    `protected java.lang.String` | `checkFiles$str()` |
    `void` | `compactingWithNoAddRecord​(java.lang.Long id)` |
    `protected java.lang.String` | `compactingWithNoAddRecord$str()` |
    `void` | `compactMergeError​(java.lang.Long id)` |
    `protected java.lang.String` | `compactMergeError$str()` |
    `void` | `compactReadError​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `protected java.lang.String` | `compactReadError$str()` |
    `void` | `couldNotCompleteTask​(java.lang.Exception e, java.lang.String name)` |
    `protected java.lang.String` | `couldNotCompleteTask$str()` |
    `void` | `couldNotGetLock​(java.lang.String fileName)` |
    `protected java.lang.String` | `couldNotGetLock$str()` |
    `void` | `couldNotRemoveFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `protected java.lang.String` | `couldNotRemoveFile$str()` |
    `void` | `couldNotStopCompactor()` |
    `protected java.lang.String` | `couldNotStopCompactor$str()` |
    `void` | `couldNotStopJournalAppendExecutor()` |
    `protected java.lang.String` | `couldNotStopJournalAppendExecutor$str()` |
    `void` | `couldNotStopJournalExecutor()` |
    `protected java.lang.String` | `couldNotStopJournalExecutor$str()` |
    `void` | `criticalIO​(java.lang.String message, java.lang.Exception error)` |
    `protected java.lang.String` | `criticalIO$str()` |
    `void` | `currentFile​(java.lang.Long fileID, java.lang.Long id, java.lang.Long fileFileID, java.lang.Boolean b)` |
    `protected java.lang.String` | `currentFile$str()` |
    `void` | `deletingFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `protected java.lang.String` | `deletingFile$str()` |
    `void` | `deletingOrphanedFile​(java.lang.String fileToDelete)` |
    `protected java.lang.String` | `deletingOrphanedFile$str()` |
    `void` | `errorCallingErrorCallback​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorCallingErrorCallback$str()` |
    `void` | `errorClosingFile​(java.lang.String fileToDelete)` |
    `void` | `errorClosingFile​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorClosingFile0$str()` |
    `protected java.lang.String` | `errorClosingFile1$str()` |
    `void` | `errorCompacting​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorCompacting$str()` |
    `void` | `errorCompletingCallback​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorCompletingCallback$str()` |
    `void` | `errorDeletingFile​(java.lang.Object e)` |
    `protected java.lang.String` | `errorDeletingFile$str()` |
    `void` | `errorOnIOCallback​(java.lang.String errorMessage)` |
    `protected java.lang.String` | `errorOnIOCallback$str()` |
    `void` | `errorOpeningFile​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorOpeningFile$str()` |
    `void` | `errorPushingFile​(java.lang.Exception e)` |
    `protected java.lang.String` | `errorPushingFile$str()` |
    `void` | `errorReadingFile​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorReadingFile$str()` |
    `void` | `errorReinitializingFile​(java.lang.Throwable e, org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `protected java.lang.String` | `errorReinitializingFile$str()` |
    `void` | `errorReplayingCommands​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorReplayingCommands$str()` |
    `void` | `errorRetrievingID​(java.lang.Throwable e, java.lang.String fileName)` |
    `protected java.lang.String` | `errorRetrievingID$str()` |
    `void` | `errorSchedulingCompacting​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorSchedulingCompacting$str()` |
    `void` | `errorStartingPoller​(java.lang.Exception e)` |
    `protected java.lang.String` | `errorStartingPoller$str()` |
    `void` | `errorSubmittingWrite​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorSubmittingWrite$str()` |
    `void` | `errorWritingData​(java.lang.Throwable e, java.lang.String errorMessage, java.lang.Integer errorCode)` |
    `protected java.lang.String` | `errorWritingData$str()` |
    `void` | `failedToAddFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile nextOpenedFile)` |
    `protected java.lang.String` | `failedToAddFile$str()` |
    `void` | `failedToPerfBlast​(java.lang.Throwable e)` |
    `protected java.lang.String` | `failedToPerfBlast$str()` |
    `void` | `fileFinalizedWhileOpen​(java.lang.String fileName)` |
    `protected java.lang.String` | `fileFinalizedWhileOpen$str()` |
    `void` | `fileIdOutOfOrder()` |
    `protected java.lang.String` | `fileIdOutOfOrder$str()` |
    `void` | `fileTooSmall()` |
    `protected java.lang.String` | `fileTooSmall$str()` |
    `void` | `flushRate​(java.lang.Double rate)` |
    `protected java.lang.String` | `flushRate$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `void` | `ignoringShortFile​(java.lang.String fileName)` |
    `protected java.lang.String` | `ignoringShortFile$str()` |
    `void` | `incompatibleNativeLibrary()` |
    `protected java.lang.String` | `incompatibleNativeLibrary$str()` |
    `void` | `inconsistencyDuringCompacting​(java.lang.Long transactionID)` |
    `protected java.lang.String` | `inconsistencyDuringCompacting$str()` |
    `void` | `inconsistencyDuringCompactingDelete​(java.lang.Long recordID)` |
    `protected java.lang.String` | `inconsistencyDuringCompactingDelete$str()` |
    `void` | `initializingJdbcDataSource​(java.lang.String dataSourceClassName, java.lang.String dataSourceProperties)` |
    `protected java.lang.String` | `initializingJdbcDataSource$str()` |
    `void` | `ioError​(int errorCode, java.lang.String errorMessage)` |
    `protected java.lang.String` | `ioError$str()` |
    `void` | `movingFileToAttic​(java.lang.String fileName)` |
    `protected java.lang.String` | `movingFileToAttic$str()` |
    `void` | `noRecordDuringCompactReplay​(java.lang.Long id)` |
    `protected java.lang.String` | `noRecordDuringCompactReplay$str()` |
    `void` | `preparedTXIncomplete​(java.lang.Long id)` |
    `protected java.lang.String` | `preparedTXIncomplete$str()` |
    `void` | `runningJournalBlast​(java.lang.Integer numIts)` |
    `protected java.lang.String` | `runningJournalBlast$str()` |
    `void` | `seqOutOfOrder()` |
    `protected java.lang.String` | `seqOutOfOrder$str()` |
    `void` | `startingThread()` |
    `protected java.lang.String` | `startingThread$str()` |
    `void` | `tempFilesLeftOpen()` |
    `protected java.lang.String` | `tempFilesLeftOpen$str()` |
    `void` | `timeoutOnPollerShutdown​(java.lang.Exception e)` |
    `protected java.lang.String` | `timeoutOnPollerShutdown$str()` |
    `void` | `timeoutOnWriterShutdown​(java.lang.Throwable e)` |
    `protected java.lang.String` | `timeoutOnWriterShutdown$str()` |
    `void` | `txMissingElements​(java.lang.Long id)` |
    `protected java.lang.String` | `txMissingElements$str()` |
    `void` | `uncomittedTxFound​(java.lang.Long id)` |
    `protected java.lang.String` | `uncomittedTxFound$str()` |
    `void` | `writeRate​(java.lang.Double rate, java.lang.Long l)` |
    `protected java.lang.String` | `writeRate$str()` |

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJournalLogger_$logger

          public ActiveMQJournalLogger_$logger​(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### runningJournalBlast

          public final void runningJournalBlast​(java.lang.Integer numIts)

      Specified by:
        `runningJournalBlast` in interface `ActiveMQJournalLogger`

    - #### runningJournalBlast$str

          protected java.lang.String runningJournalBlast$str()

    - #### startingThread

          public final void startingThread()

      Specified by:
        `startingThread` in interface `ActiveMQJournalLogger`

    - #### startingThread$str

          protected java.lang.String startingThread$str()

    - #### writeRate

          public final void writeRate​(java.lang.Double rate,
                                      java.lang.Long l)

      Specified by:
        `writeRate` in interface `ActiveMQJournalLogger`

    - #### writeRate$str

          protected java.lang.String writeRate$str()

    - #### flushRate

          public final void flushRate​(java.lang.Double rate)

      Specified by:
        `flushRate` in interface `ActiveMQJournalLogger`

    - #### flushRate$str

          protected java.lang.String flushRate$str()

    - #### checkFiles

          public final void checkFiles()

      Specified by:
        `checkFiles` in interface `ActiveMQJournalLogger`

    - #### checkFiles$str

          protected java.lang.String checkFiles$str()

    - #### seqOutOfOrder

          public final void seqOutOfOrder()

      Specified by:
        `seqOutOfOrder` in interface `ActiveMQJournalLogger`

    - #### seqOutOfOrder$str

          protected java.lang.String seqOutOfOrder$str()

    - #### currentFile

          public final void currentFile​(java.lang.Long fileID,
                                        java.lang.Long id,
                                        java.lang.Long fileFileID,
                                        java.lang.Boolean b)

      Specified by:
        `currentFile` in interface `ActiveMQJournalLogger`

    - #### currentFile$str

          protected java.lang.String currentFile$str()

    - #### fileIdOutOfOrder

          public final void fileIdOutOfOrder()

      Specified by:
        `fileIdOutOfOrder` in interface `ActiveMQJournalLogger`

    - #### fileIdOutOfOrder$str

          protected java.lang.String fileIdOutOfOrder$str()

    - #### fileTooSmall

          public final void fileTooSmall()

      Specified by:
        `fileTooSmall` in interface `ActiveMQJournalLogger`

    - #### fileTooSmall$str

          protected java.lang.String fileTooSmall$str()

    - #### initializingJdbcDataSource

          public final void initializingJdbcDataSource​(java.lang.String dataSourceClassName,
                                                       java.lang.String dataSourceProperties)

      Specified by:
        `initializingJdbcDataSource` in interface `ActiveMQJournalLogger`

    - #### initializingJdbcDataSource$str

          protected java.lang.String initializingJdbcDataSource$str()

    - #### incompatibleNativeLibrary

          public final void incompatibleNativeLibrary()

      Specified by:
        `incompatibleNativeLibrary` in interface `ActiveMQJournalLogger`

    - #### incompatibleNativeLibrary$str

          protected java.lang.String incompatibleNativeLibrary$str()

    - #### couldNotGetLock

          public final void couldNotGetLock​(java.lang.String fileName)

      Specified by:
        `couldNotGetLock` in interface `ActiveMQJournalLogger`

    - #### couldNotGetLock$str

          protected java.lang.String couldNotGetLock$str()

    - #### fileFinalizedWhileOpen

          public final void fileFinalizedWhileOpen​(java.lang.String fileName)

      Specified by:
        `fileFinalizedWhileOpen` in interface `ActiveMQJournalLogger`

    - #### fileFinalizedWhileOpen$str

          protected java.lang.String fileFinalizedWhileOpen$str()

    - #### callbackError

          public final void callbackError​(java.lang.String error)

      Specified by:
        `callbackError` in interface `ActiveMQJournalLogger`

    - #### callbackError$str

          protected java.lang.String callbackError$str()

    - #### inconsistencyDuringCompacting

          public final void inconsistencyDuringCompacting​(java.lang.Long transactionID)

      Specified by:
        `inconsistencyDuringCompacting` in interface `ActiveMQJournalLogger`

    - #### inconsistencyDuringCompacting$str

          protected java.lang.String inconsistencyDuringCompacting$str()

    - #### inconsistencyDuringCompactingDelete

          public final void inconsistencyDuringCompactingDelete​(java.lang.Long recordID)

      Specified by:
        `inconsistencyDuringCompactingDelete` in interface `ActiveMQJournalLogger`

    - #### inconsistencyDuringCompactingDelete$str

          protected java.lang.String inconsistencyDuringCompactingDelete$str()

    - #### compactingWithNoAddRecord

          public final void compactingWithNoAddRecord​(java.lang.Long id)

      Specified by:
        `compactingWithNoAddRecord` in interface `ActiveMQJournalLogger`

    - #### compactingWithNoAddRecord$str

          protected java.lang.String compactingWithNoAddRecord$str()

    - #### noRecordDuringCompactReplay

          public final void noRecordDuringCompactReplay​(java.lang.Long id)

      Specified by:
        `noRecordDuringCompactReplay` in interface `ActiveMQJournalLogger`

    - #### noRecordDuringCompactReplay$str

          protected java.lang.String noRecordDuringCompactReplay$str()

    - #### couldNotRemoveFile

          public final void couldNotRemoveFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

      Specified by:
        `couldNotRemoveFile` in interface `ActiveMQJournalLogger`

    - #### couldNotRemoveFile$str

          protected java.lang.String couldNotRemoveFile$str()

    - #### deletingFile

          public final void deletingFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

      Specified by:
        `deletingFile` in interface `ActiveMQJournalLogger`

    - #### deletingFile$str

          protected java.lang.String deletingFile$str()

    - #### failedToAddFile

          public final void failedToAddFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile nextOpenedFile)

      Specified by:
        `failedToAddFile` in interface `ActiveMQJournalLogger`

    - #### failedToAddFile$str

          protected java.lang.String failedToAddFile$str()

    - #### compactReadError

          public final void compactReadError​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

      Specified by:
        `compactReadError` in interface `ActiveMQJournalLogger`

    - #### compactReadError$str

          protected java.lang.String compactReadError$str()

    - #### compactMergeError

          public final void compactMergeError​(java.lang.Long id)

      Specified by:
        `compactMergeError` in interface `ActiveMQJournalLogger`

    - #### compactMergeError$str

          protected java.lang.String compactMergeError$str()

    - #### preparedTXIncomplete

          public final void preparedTXIncomplete​(java.lang.Long id)

      Specified by:
        `preparedTXIncomplete` in interface `ActiveMQJournalLogger`

    - #### preparedTXIncomplete$str

          protected java.lang.String preparedTXIncomplete$str()

    - #### txMissingElements

          public final void txMissingElements​(java.lang.Long id)

      Specified by:
        `txMissingElements` in interface `ActiveMQJournalLogger`

    - #### txMissingElements$str

          protected java.lang.String txMissingElements$str()

    - #### uncomittedTxFound

          public final void uncomittedTxFound​(java.lang.Long id)

      Specified by:
        `uncomittedTxFound` in interface `ActiveMQJournalLogger`

    - #### uncomittedTxFound$str

          protected java.lang.String uncomittedTxFound$str()

    - #### couldNotStopCompactor

          public final void couldNotStopCompactor()

      Specified by:
        `couldNotStopCompactor` in interface `ActiveMQJournalLogger`

    - #### couldNotStopCompactor$str

          protected java.lang.String couldNotStopCompactor$str()

    - #### couldNotStopJournalExecutor

          public final void couldNotStopJournalExecutor()

      Specified by:
        `couldNotStopJournalExecutor` in interface `ActiveMQJournalLogger`

    - #### couldNotStopJournalExecutor$str

          protected java.lang.String couldNotStopJournalExecutor$str()

    - #### tempFilesLeftOpen

          public final void tempFilesLeftOpen()

      Specified by:
        `tempFilesLeftOpen` in interface `ActiveMQJournalLogger`

    - #### tempFilesLeftOpen$str

          protected java.lang.String tempFilesLeftOpen$str()

    - #### deletingOrphanedFile

          public final void deletingOrphanedFile​(java.lang.String fileToDelete)

      Specified by:
        `deletingOrphanedFile` in interface `ActiveMQJournalLogger`

    - #### deletingOrphanedFile$str

          protected java.lang.String deletingOrphanedFile$str()

    - #### errorClosingFile

          public final void errorClosingFile​(java.lang.String fileToDelete)

      Specified by:
        `errorClosingFile` in interface `ActiveMQJournalLogger`

    - #### errorClosingFile1$str

          protected java.lang.String errorClosingFile1$str()

    - #### errorOnIOCallback

          public final void errorOnIOCallback​(java.lang.String errorMessage)

      Specified by:
        `errorOnIOCallback` in interface `ActiveMQJournalLogger`

    - #### errorOnIOCallback$str

          protected java.lang.String errorOnIOCallback$str()

    - #### timeoutOnPollerShutdown

          public final void timeoutOnPollerShutdown​(java.lang.Exception e)

      Specified by:
        `timeoutOnPollerShutdown` in interface `ActiveMQJournalLogger`

    - #### timeoutOnPollerShutdown$str

          protected java.lang.String timeoutOnPollerShutdown$str()

    - #### couldNotCompleteTask

          public final void couldNotCompleteTask​(java.lang.Exception e,
                                                 java.lang.String name)

      Specified by:
        `couldNotCompleteTask` in interface `ActiveMQJournalLogger`

    - #### couldNotCompleteTask$str

          protected java.lang.String couldNotCompleteTask$str()

    - #### errorCompletingCallback

          public final void errorCompletingCallback​(java.lang.Throwable e)

      Specified by:
        `errorCompletingCallback` in interface `ActiveMQJournalLogger`

    - #### errorCompletingCallback$str

          protected java.lang.String errorCompletingCallback$str()

    - #### errorCallingErrorCallback

          public final void errorCallingErrorCallback​(java.lang.Throwable e)

      Specified by:
        `errorCallingErrorCallback` in interface `ActiveMQJournalLogger`

    - #### errorCallingErrorCallback$str

          protected java.lang.String errorCallingErrorCallback$str()

    - #### timeoutOnWriterShutdown

          public final void timeoutOnWriterShutdown​(java.lang.Throwable e)

      Specified by:
        `timeoutOnWriterShutdown` in interface `ActiveMQJournalLogger`

    - #### timeoutOnWriterShutdown$str

          protected java.lang.String timeoutOnWriterShutdown$str()

    - #### errorWritingData

          public final void errorWritingData​(java.lang.Throwable e,
                                             java.lang.String errorMessage,
                                             java.lang.Integer errorCode)

      Specified by:
        `errorWritingData` in interface `ActiveMQJournalLogger`

    - #### errorWritingData$str

          protected java.lang.String errorWritingData$str()

    - #### errorReplayingCommands

          public final void errorReplayingCommands​(java.lang.Throwable e)

      Specified by:
        `errorReplayingCommands` in interface `ActiveMQJournalLogger`

    - #### errorReplayingCommands$str

          protected java.lang.String errorReplayingCommands$str()

    - #### errorClosingFile

          public final void errorClosingFile​(java.lang.Throwable e)

      Specified by:
        `errorClosingFile` in interface `ActiveMQJournalLogger`

    - #### errorClosingFile0$str

          protected java.lang.String errorClosingFile0$str()

    - #### errorOpeningFile

          public final void errorOpeningFile​(java.lang.Throwable e)

      Specified by:
        `errorOpeningFile` in interface `ActiveMQJournalLogger`

    - #### errorOpeningFile$str

          protected java.lang.String errorOpeningFile$str()

    - #### errorRetrievingID

          public final void errorRetrievingID​(java.lang.Throwable e,
                                              java.lang.String fileName)

      Specified by:
        `errorRetrievingID` in interface `ActiveMQJournalLogger`

    - #### errorRetrievingID$str

          protected java.lang.String errorRetrievingID$str()

    - #### errorReadingFile

          public final void errorReadingFile​(java.lang.Throwable e)

      Specified by:
        `errorReadingFile` in interface `ActiveMQJournalLogger`

    - #### errorReadingFile$str

          protected java.lang.String errorReadingFile$str()

    - #### errorReinitializingFile

          public final void errorReinitializingFile​(java.lang.Throwable e,
                                                    org.apache.activemq.artemis.core.journal.impl.JournalFile file)

      Specified by:
        `errorReinitializingFile` in interface `ActiveMQJournalLogger`

    - #### errorReinitializingFile$str

          protected java.lang.String errorReinitializingFile$str()

    - #### errorSubmittingWrite

          public final void errorSubmittingWrite​(java.lang.Throwable e)

      Specified by:
        `errorSubmittingWrite` in interface `ActiveMQJournalLogger`

    - #### errorSubmittingWrite$str

          protected java.lang.String errorSubmittingWrite$str()

    - #### couldNotStopJournalAppendExecutor

          public final void couldNotStopJournalAppendExecutor()

      Specified by:
        `couldNotStopJournalAppendExecutor` in interface `ActiveMQJournalLogger`

    - #### couldNotStopJournalAppendExecutor$str

          protected java.lang.String couldNotStopJournalAppendExecutor$str()

    - #### errorDeletingFile

          public final void errorDeletingFile​(java.lang.Object e)

      Specified by:
        `errorDeletingFile` in interface `ActiveMQJournalLogger`

    - #### errorDeletingFile$str

          protected java.lang.String errorDeletingFile$str()

    - #### errorStartingPoller

          public final void errorStartingPoller​(java.lang.Exception e)

      Specified by:
        `errorStartingPoller` in interface `ActiveMQJournalLogger`

    - #### errorStartingPoller$str

          protected java.lang.String errorStartingPoller$str()

    - #### errorPushingFile

          public final void errorPushingFile​(java.lang.Exception e)

      Specified by:
        `errorPushingFile` in interface `ActiveMQJournalLogger`

    - #### errorPushingFile$str

          protected java.lang.String errorPushingFile$str()

    - #### errorCompacting

          public final void errorCompacting​(java.lang.Throwable e)

      Specified by:
        `errorCompacting` in interface `ActiveMQJournalLogger`

    - #### errorCompacting$str

          protected java.lang.String errorCompacting$str()

    - #### errorSchedulingCompacting

          public final void errorSchedulingCompacting​(java.lang.Throwable e)

      Specified by:
        `errorSchedulingCompacting` in interface `ActiveMQJournalLogger`

    - #### errorSchedulingCompacting$str

          protected java.lang.String errorSchedulingCompacting$str()

    - #### failedToPerfBlast

          public final void failedToPerfBlast​(java.lang.Throwable e)

      Specified by:
        `failedToPerfBlast` in interface `ActiveMQJournalLogger`

    - #### failedToPerfBlast$str

          protected java.lang.String failedToPerfBlast$str()

    - #### ioError

          public final void ioError​(int errorCode,
                                    java.lang.String errorMessage)

      Specified by:
        `ioError` in interface `ActiveMQJournalLogger`

    - #### ioError$str

          protected java.lang.String ioError$str()

    - #### ignoringShortFile

          public final void ignoringShortFile​(java.lang.String fileName)

      Specified by:
        `ignoringShortFile` in interface `ActiveMQJournalLogger`

    - #### ignoringShortFile$str

          protected java.lang.String ignoringShortFile$str()

    - #### movingFileToAttic

          public final void movingFileToAttic​(java.lang.String fileName)

      Specified by:
        `movingFileToAttic` in interface `ActiveMQJournalLogger`

    - #### movingFileToAttic$str

          protected java.lang.String movingFileToAttic$str()

    - #### cantOpenFileTimeout

          public final void cantOpenFileTimeout​(long timeout)

      Specified by:
        `cantOpenFileTimeout` in interface `ActiveMQJournalLogger`

    - #### cantOpenFileTimeout$str

          protected java.lang.String cantOpenFileTimeout$str()

    - #### criticalIO

          public final void criticalIO​(java.lang.String message,
                                       java.lang.Exception error)

      Specified by:
        `criticalIO` in interface `ActiveMQJournalLogger`

    - #### criticalIO$str

          protected java.lang.String criticalIO$str()